Show / Hide Table of Contents

# Class OpenIddictMongoDbApplication

Represents an OpenIddict application.

##### Inheritance

System.Object
OpenIddictMongoDbApplication

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.MongoDb.Models

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictMongoDbApplication

### Properties

#### ClientId

Gets or sets the client identifier associated with the current application.

##### Declaration

    public virtual string ClientId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ClientSecret

Gets or sets the client secret associated with the current application. Note: depending on the application manager used to create this instance, this property may be hashed or encrypted for security reasons.

##### Declaration

    public virtual string ClientSecret { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ConcurrencyToken

Gets or sets the concurrency token.

##### Declaration

    public virtual string ConcurrencyToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ConsentType

Gets or sets the consent type associated with the current application.

##### Declaration

    public virtual string ConsentType { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### DisplayName

Gets or sets the display name associated with the current application.

##### Declaration

    public virtual string DisplayName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### DisplayNames

Gets or sets the localized display names associated with the current application.

##### Declaration

    public virtual IReadOnlyDictionary<CultureInfo, string> DisplayNames { get; set; }

##### Property Value

Type | Description
--- | ---
IReadOnlyDictionary<CultureInfo, System.String> |

#### Id

Gets or sets the unique identifier associated with the current application.

##### Declaration

    public virtual ObjectId Id { get; set; }

##### Property Value

Type | Description
--- | ---
ObjectId |

#### Permissions

Gets or sets the permissions associated with the current application.

##### Declaration

    public virtual IReadOnlyList<string> Permissions { get; set; }

##### Property Value

Type | Description
--- | ---
IReadOnlyList<System.String> |

#### PostLogoutRedirectUris

Gets or sets the logout callback URLs associated with the current application.

##### Declaration

    public virtual IReadOnlyList<string> PostLogoutRedirectUris { get; set; }

##### Property Value

Type | Description
--- | ---
IReadOnlyList<System.String> |

#### Properties

Gets or sets the additional properties associated with the current application.

##### Declaration

    public virtual BsonDocument? Properties { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<BsonDocument> |

#### RedirectUris

Gets or sets the callback URLs associated with the current application.

##### Declaration

    public virtual IReadOnlyList<string> RedirectUris { get; set; }

##### Property Value

Type | Description
--- | ---
IReadOnlyList<System.String> |

#### Requirements

Gets or sets the requirements associated with the current application.

##### Declaration

    public virtual IReadOnlyList<string> Requirements { get; set; }

##### Property Value

Type | Description
--- | ---
IReadOnlyList<System.String> |

#### Type

Gets or sets the application type associated with the current application.

##### Declaration

    public virtual string Type { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |